[OE-core] [PATCH 5/7] build-perf-test-wrapper.sh: correctly check test script exit status

Markus Lehtonen markus.lehtonen at linux.intel.com
Mon Apr 3 15:58:37 UTC 2017


Test of the exit code was accidentally moved to wrong place when
oe-git-archive was taken into use.

Signed-off-by: Markus Lehtonen <markus.lehtonen at linux.intel.com>
---
 scripts/contrib/build-perf-test-wrapper.sh | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/scripts/contrib/build-perf-test-wrapper.sh b/scripts/contrib/build-perf-test-wrapper.sh
index 7b7e4dd..e804ac2 100755
--- a/scripts/contrib/build-perf-test-wrapper.sh
+++ b/scripts/contrib/build-perf-test-wrapper.sh
@@ -155,6 +155,14 @@ oe-build-perf-test --out-dir "$results_dir" \
                    "${oe_build_perf_test_extra_opts[@]}" \
                    --lock-file "$base_dir/oe-build-perf.lock"
 
+case $? in
+    1)  echo "ERROR: oe-build-perf-test script failed!"
+        exit 1
+        ;;
+    2)  echo "NOTE: some tests failed!"
+        ;;
+esac
+
 # Commit results to git
 if [ -n "$results_repo" ]; then
     echo -e "\nArchiving results in $results_repo"
@@ -167,14 +175,6 @@ if [ -n "$results_repo" ]; then
         "$results_dir"
 fi
 
-case $? in
-    1)  echo "ERROR: oe-build-perf-test script failed!"
-        exit 1
-        ;;
-    2)  echo "NOTE: some tests failed!"
-        ;;
-esac
-
 echo -ne "\n\n-----------------\n"
 echo "Global results file:"
 echo -ne "\n"
-- 
2.10.2




More information about the Openembedded-core mailing list